### Callable

- read<TBuffer>(fd: number, buffer: TBuffer, offset: number, length: number, position: number | null, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:1162

  Asynchronously reads data from the file referenced by the supplied file descriptor.

  #### Type parameters

  - #### TBuffer: BinaryData

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### buffer: TBuffer

    The buffer that the data will be written to.

  - ##### offset: number

    The offset in the buffer at which to start writing.

  - ##### length: number

    The number of bytes to read.

  - ##### position: number | null

    The offset from the beginning of the file from which data should be read. If `null`, data will be read from the current position.

  - ##### callback: function

    - - (err: ErrnoException, bytesRead: number, buffer: TBuffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### bytesRead: number

        - ##### buffer: TBuffer

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__<TBuffer>(fd: number, buffer: TBuffer, offset: number, length: number, position: number | null): Promise<object>

- - Defined in node_modules/@types/node/fs.d.ts:1180

  #### Type parameters

  - #### TBuffer: BinaryData

  #### Parameters

  - ##### fd: number

    A file descriptor.

  - ##### buffer: TBuffer

    The buffer that the data will be written to.

  - ##### offset: number

    The offset in the buffer at which to start writing.

  - ##### length: number

    The number of bytes to read.

  - ##### position: number | null

    The offset from the beginning of the file from which data should be read. If `null`, data will be read from the current position.

  #### Returns Promise<object>

Generated using TypeDoc